---
title: "Deploy an agent from the registry"
url: https://hexelstudio.com/docs/api/compute/agents/deploy
---

# Deploy an agent from the registry

**POST** `/compute/v1/agents/{agent_id}/deploy`

Creates a new deployment from a registered agent. Returns a deployment_id to use for all subsequent operations.

## Path parameters

- `agent_id: string`

  Registry Agent ID

## Headers

- `Authorization: string`

  `Bearer <token>`. STS access token. Obtain via POST https://sts.hexelstudio.com/token with X-API-Key header.

## Body parameters

- `body: optional object`

  Deploy options

## Returns

`200` OK (`Agent`)

- `config_hash: optional string`

- `created_at: optional string`

- `endpoint: optional string`

- `endpoint_name: optional string`

- `id: optional string`

- `image: optional string`

- `manifest: optional map[any]`

- `metadata: optional map[string]`

- `name: optional string`

- `registry_id: optional string`

- `skills: optional array of string`

- `state: optional string`

- `tier: optional string`

- `token: optional string`

- `updated_at: optional string`

## Example

```bash
curl --request POST \
  --url 'https://compute.hexelstudio.com/compute/v1/agents/{agent_id}/deploy' \
  --header "Authorization: Bearer $ACCESS_TOKEN" \
  --header 'Content-Type: application/json' \
  --data '{}'
```

### Response (200)

```json
{
  "config_hash": "string",
  "created_at": "2026-01-01T00:00:00Z",
  "endpoint": "string",
  "endpoint_name": "string",
  "id": "string",
  "image": "string",
  "manifest": {
    "key": "string"
  },
  "metadata": {
    "key": "string"
  },
  "name": "string",
  "registry_id": "string",
  "skills": [
    "string"
  ],
  "state": "string",
  "tier": "string",
  "token": "string",
  "updated_at": "2026-01-01T00:00:00Z"
}
```
